Skip to main content

Queso API (1.0.0)

API documentation for Queso services.

Bookmarks

Create Bookmark

Authorizations:
BearerTokenAuth
Request Body schema: application/json
required
title
required
string <= 500 characters
link
string <uri> <= 2048 characters
author
string <= 255 characters
Default: ""
estimated_time
integer [ -2147483648 .. 2147483647 ]
Default: 0
is_quote
boolean
Default: false
is_til
boolean
Default: false
is_note
boolean
Default: false
tags
Array of strings
read
boolean
Default: false
notes
string
Default: ""
snapshot
string
Default: ""
meta_image
string <uri> <= 2048 characters
Default: ""
published_date
string or null <date-time>
source_type
string
Default: "manual"
Enum: "manual" "rss" "import"
  • manual - Manual
  • rss - RSS
  • import - Import
source_id
integer or null [ -2147483648 .. 2147483647 ]
is_favorite
boolean
Default: false

Responses

Request samples

Content type
application/json
{
  • "title": "string",
  • "author": "",
  • "estimated_time": 0,
  • "is_quote": false,
  • "is_til": false,
  • "is_note": false,
  • "tags": [
    ],
  • "read": false,
  • "notes": "",
  • "snapshot": "",
  • "meta_image": "",
  • "published_date": "2019-08-24T14:15:22Z",
  • "source_type": "manual",
  • "source_id": -2147483648,
  • "is_favorite": false
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Get Bookmark

Authorizations:
BearerTokenAuth
path Parameters
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Update Bookmark

Authorizations:
BearerTokenAuth
path Parameters
id
required
integer
Request Body schema: application/json
title
string <= 500 characters
link
string <uri> <= 2048 characters
author
string <= 255 characters
estimated_time
integer [ -2147483648 .. 2147483647 ]
is_quote
boolean
is_til
boolean
is_note
boolean
tags
Array of strings
read
boolean
notes
string
snapshot
string
meta_image
string <uri> <= 2048 characters
published_date
string or null <date-time>
source_type
string
Enum: "manual" "rss" "import"
  • manual - Manual
  • rss - RSS
  • import - Import
source_id
integer or null [ -2147483648 .. 2147483647 ]
is_favorite
boolean

Responses

Request samples

Content type
application/json
{
  • "title": "string",
  • "author": "string",
  • "estimated_time": -2147483648,
  • "is_quote": true,
  • "is_til": true,
  • "is_note": true,
  • "tags": [
    ],
  • "read": true,
  • "notes": "string",
  • "snapshot": "string",
  • "meta_image": "http://example.com",
  • "published_date": "2019-08-24T14:15:22Z",
  • "source_type": "manual",
  • "source_id": -2147483648,
  • "is_favorite": true
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Delete Bookmark

Authorizations:
BearerTokenAuth
path Parameters
id
required
integer

Responses

Generate Newsletter

Creates a personalized newsletter from unread bookmarks.Pass read_time to control how long the newsletter takes to read

Authorizations:
BearerTokenAuth
query Parameters
limit
integer

Candidate pool size to consider (default 100, max 100).

read_time
integer

Optional reading-time target in minutes (default 30). Returns unread bookmarks with total estimated time close to this value.

tags
string

Optional comma-separated tag list. Matches any provided tag.

Responses

Response samples

Content type
application/json
{
  • "markdown": "string",
  • "target_read_time": 0,
  • "total_estimated_time": 0,
  • "article_count": 0,
  • "data": [
    ]
}

List Public Bookmarks

Returns only bookmarks tagged with "public". Useful to share bookmarks and notes publicly. Rate limit: 10/hour.

Authorizations:
None
query Parameters
limit
integer

Maximum results per page (default 10, max 100).

page
integer

Page number to return (default 1).

user_profile_id
required
string

Profile ID of the bookmark owner (8-digit string).

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    }
}

List Bookmark Tags

Returns all bookmark tags and the count of bookmarks that use the tag. Tags are formatted to lowercase with excess whitespace removed

Authorizations:
BearerTokenAuth
query Parameters
filter
string

Optional bookmark filter expression using bracket notation (e.g. filter[read][_eq]=false).

search
string

Optional bookmark search query before tag counting.

tag
string

Single included tag filter. Equivalent to tags[].

tags
string

Comma-separated included tags filter. Equivalent to tags[].

tags[]
string

Repeatable included tags filter. Counts are computed from bookmarks that contain all provided tags.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    }
}

List Bookmarks V2

Cursor-paginated bookmarks list. Returns lightweight bookmark records (notes and snapshot are excluded) and tag facets for the currently filtered result set.

Authorizations:
BearerTokenAuth
query Parameters
bookmark_type
string

Bookmark type filter: all, is_unread, is_quote, is_til, is_note, is_read, bookmarks.

cursor
string

Opaque cursor token from the previous response.

filter
string

Optional advanced filter expression using bracket notation.

limit
integer

Maximum results per request (default 20, max 100).

search
string

Search query applied to bookmark title/link/author/notes.

sort[]
string

Sort field for cursor pagination. Allowed values: -date_created, date_created, -date_updated, date_updated, -estimated_time, estimated_time, -published_date, published_date.

tags[]
string

Repeatable tag filter with AND semantics.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Bookmark Notes

Returns only the notes field for a bookmark.

Authorizations:
BearerTokenAuth
path Parameters
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Get Bookmark Snapshot

Returns only the snapshot field for a bookmark.

Authorizations:
BearerTokenAuth
path Parameters
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

RSS

List all RSS feeds

Authorizations:
BearerTokenAuth

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Subscribe to RSS feed

Authorizations:
BearerTokenAuth
Request Body schema: application/json
required
url
required
string <uri> <= 2000 characters

Responses

Request samples

Content type
application/json

Response samples

Content type
application/json
{
  • "data": {
    }
}

Get RSS feed subscription

Authorizations:
BearerTokenAuth
path Parameters
rssFeedId
required
integer

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Toggle RSS feed visibility

Authorizations:
BearerTokenAuth
path Parameters
rssFeedId
required
integer
Request Body schema: application/json
required
active
required
boolean

Responses

Request samples

Content type
application/json
{
  • "active": true
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Unsubscribe from RSS feed

Authorizations:
BearerTokenAuth
path Parameters
rssFeedId
required
integer

Responses

Get RSS feed entries

Authorizations:
BearerTokenAuth
path Parameters
rssFeedId
required
integer
query Parameters
limit
integer

Maximum results per page (default 50).

page
integer

Page number to return (default 1).

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    }
}

Get RSS entry details

Authorizations:
BearerTokenAuth
path Parameters
rssItemId
required
integer

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Get recent RSS entries

Authorizations:
BearerTokenAuth
query Parameters
limit
integer

Maximum results per page (default 50).

page
integer

Page number to return (default 1).

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    }
}